Bug 1415888

Summary: [abrt] NMI watchdog: BUG: soft lockup - CPU#0 stuck for 22s! [Xwayland:1236]
Product: [Fedora] Fedora Reporter: Chen_Min_Chin <tcfxfzoi>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: cz172638, gansalmon, ichavero, itamar, jonathan, kernel-maint, madhu.chinakonda, mchehab
Target Milestone: ---Flags: jforbes: needinfo?
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/4518e1add8ffee446ed62a1675aee635e8a0c37f
Whiteboard: abrt_hash:177188eec6b12932e41a12488df86d63d81e1e68;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-04-28 17:04:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: dmesg none

Description Chen_Min_Chin 2017-01-24 01:34:31 UTC
Additional info:
reporter:       libreport-2.8.0
NMI watchdog: BUG: soft lockup - CPU#0 stuck for 22s! [Xwayland:1236]
Modules linked in: ccm fuse uinput xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge stp llc ebtable_nat ip6table_security ip6table_raw ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_security iptable_raw iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rtl8xxxu arc4 snd_hda_codec_generic rtl8192cu rtl_usb rtl8192c_common rtlwifi mac80211 cfg80211 rfkill snd_hda_intel iTCO_wdt snd_hda_codec snd_seq_midi iTCO_vendor_support snd_intel8x0 snd_seq_midi_event snd_hda_core ppdev snd_ens1370 snd_ac97_codec gameport virtio_gpu
 snd_rawmidi snd_hwdep ac97_bus snd_seq joydev ttm snd_seq_device i2c_i801 snd_pcm acpi_cpufreq drm_kms_helper i2c_smbus snd_timer drm snd tpm_tis lpc_ich tpm_tis_core soundcore tpm parport_pc parport qemu_fw_cfg virtio_balloon virtio_input nfsd auth_rpcgss nfs_acl lockd grace sunrpc virtio_console virtio_net virtio_blk serio_raw virtio_pci virtio_ring virtio
CPU: 0 PID: 1236 Comm: Xwayland Not tainted 4.8.15-300.fc25.x86_64 #1
Hardware name: QEMU Standard PC (Q35 + ICH9, 2009), BIOS 1.9.3-1.fc25 04/01/2014
task: ffff93abeba18000 task.stack: ffff93abe5d48000
RIP: 0010:[<ffffffffaf0ed3e5>]  [<ffffffffaf0ed3e5>] queued_spin_lock_slowpath+0x25/0x1a0
RSP: 0018:ffff93abe5d4bc28  EFLAGS: 00000202
RAX: 0000000000000001 RBX: ffff93abfc77c000 RCX: ffff93abe5d4bd20
RDX: 0000000000000001 RSI: 0000000000000001 RDI: ffff93abfa5e9280
RBP: ffff93abe5d4bc28 R08: ffff93abfa5f3938 R09: 0000000000000008
R10: 0000000000000008 R11: 0000000000000002 R12: ffff93abfa5e0000
R13: ffff93abfa5e9280 R14: ffff93abfa5e9288 R15: ffff93abe5d4bc78
FS:  00007ffbd4e14a40(0000) GS:ffff93abffc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fbc419d167c CR3: 0000000065e26000 CR4: 00000000000006f0
Stack:
 ffff93abe5d4bc38 ffffffffaf803940 ffff93abe5d4bcb8 ffffffffc05744df
 ffff93abfa5f3948 ffff93abe5d4bd20 ffff93abfa5f3900 ffffffffaf404a2d
 ffff93abfa5f3938 ffff93abe5d4bcb8 ffffffffc0574210 ffff93abfa5f3900
Call Trace:
 [<ffffffffaf803940>] _raw_spin_lock+0x20/0x30
 [<ffffffffc05744df>] virtio_gpu_queue_fenced_ctrl_buffer+0x6f/0x110 [virtio_gpu]
 [<ffffffffaf404a2d>] ? list_del+0xd/0x30
 [<ffffffffc0574210>] ? virtio_gpu_get_vbuf+0x60/0xf0 [virtio_gpu]
 [<ffffffffc0575a23>] virtio_gpu_cmd_submit+0x83/0xa0 [virtio_gpu]
 [<ffffffffc05775d6>] virtio_gpu_execbuffer_ioctl+0x256/0x360 [virtio_gpu]
 [<ffffffffaf6bc61d>] ? sock_recvmsg+0x3d/0x50
 [<ffffffffc04befa0>] drm_ioctl+0x200/0x4f0 [drm]
 [<ffffffffc0577380>] ? virtio_gpu_object_list_validate+0x80/0x80 [virtio_gpu]
 [<ffffffffaf3ef224>] ? timerqueue_del+0x24/0x70
 [<ffffffffaf264cc3>] do_vfs_ioctl+0xa3/0x5f0
 [<ffffffffaf05ceae>] ? kvm_clock_get_cycles+0x1e/0x20
 [<ffffffffaf265289>] SyS_ioctl+0x79/0x90
 [<ffffffffaf2675d1>] ? SyS_poll+0x71/0x130
 [<ffffffffaf803b72>] entry_SYSCALL_64_fastpath+0x1a/0xa4
Code: 1f 80 00 00 00 00 0f 1f 44 00 00 55 48 89 e5 0f 1f 44 00 00 ba 01 00 00 00 8b 07 85 c0 75 0a f0 0f b1 17 85 c0 75 f2 5d c3 f3 90 <eb> ec 81 fe 00 01 00 00 0f 84 92 00 00 00 41 b8 01 01 00 00 b9

Comment 1 Chen_Min_Chin 2017-01-24 01:34:45 UTC
Created attachment 1243809 [details]
File: dmesg

Comment 2 Justin M. Forbes 2017-04-11 14:47:29 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2017-04-28 17:04:31 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.